# $Revision: 1.91 $, $Date: 2002/11/02 07:42:04 $
Summary:	Boot loader for Linux and other operating systems
Summary(de):	Boot-Lader fr Linux und andere Betriebssysteme
Summary(es):	Cargador de arranque para Linux y otros sistemas operativos
Summary(fr):	Chargeur de boot pour Linux et autres systmes d'exploitation
Summary(pl):	Boot Loader dla Linuksa i innych systemw operacyjnych
Summary(pt_BR):	Carregador de boot para Linux e outros sistemas operacionais
Summary(ru):	  Linux    
Summary(tr):	Linux ve diger iletim sistemleri iin sistem ykleyici
Summary(uk):	  Linux   æ 
Summary(zh_CN):	Linux ϵͳģ顣
Name:		lilo
Version:	22.3.4
Release:	1
Epoch:		1
License:	BSD
Group:		Applications/System
#Source0:	ftp://brun.dyndns.org/pub/linux/lilo/%{name}-%{version}.tar.gz
Source0:	http://home.san.rr.com/johninsd/pub/linux/lilo/%{name}-%{version}.tar.gz
Source1:	%{name}-pldblack.bmp
Source2:	%{name}.conf
Source3:	%{name}_functions.sh
Source4:	%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-nobash.patch
BuildRequires:	bin86 >= 0.15
BuildRequires:	nasm
Provides:	bootloader
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lilo is repsonsible for loading your linux kernel from either a floppy
or a hard drive and giving it control of the system. It can also be
used to boot many other operating sysetms, including the BSD variants,
DOS, and OS/2.

%description -l de
Lilo ist zustndig fr das Laden des Linux-Kernels, entweder von einer
Diskette oder einer Festplatte, und bergibt diesem dann die Kontrolle
ber das System. Es kann auch benutzt werden, um viele andere
Betriebssysteme zu laden, etwa die BSD-Varianten, DOS und OS/2.

%description -l es
Lilo es responsable de cargar el kernel Linux de un disquete o del
disco duro, dndole el control del sistema. Puede tambin ser usado
para "bootar" varios otros sistemas operativos, incluyendo variantes
de BSD, DOS y OS/2.

%description -l pl
Lilo jest odpowiedzialny za adowanie jdra systemu Linux z dysku
twardego lub stacji dyskietek. Moe take by uywany do startowania
innych systemw operacyjnych, takich jak rne warianty BSD czy OS/2,
jak rwnie DOS.

%description -l pt_BR
Lilo  responsvel pelo carregamento do kernel Linux de um disquete ou
do disco rgido, dando a ele o controle do sistema. Ele pode tambm
ser usado para "bootar" vrios outros sistemas operacionais, incluindo
variantes de BSD, DOS e OS/2.

%description -l ru
Lilo     Linux      
   .     
   ,   BSD, DOS  OS/2.

%description -l tr
Lilo, Linux ekirdeinin disket veya sabit disk srcden
yklenmesinden sorumludur. Ayrca pek ok dier iletim sisteminin de
alta yklenmesi iin kullanlr. Bu sistemler arasnda BSD
trevleri, DOS ve OS/2 saylabilir.

%description -l uk
Lilo צצ    Linux    
  ަ   . Ѥ 
 ۦ æΦ ,  Ħ BSD, DOS 
OS/2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__make} CC="%{__cc}" OPT="%{rpmcflags}" LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/sysconfig/rc-boot,%{_mandir}/man{5,8}}

%{__make} install ROOT=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/lilo.conf

# driver for rc-boot
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rc-boot

install %{SOURCE1} $RPM_BUILD_ROOT/boot

bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
#if [ -s %{_sysconfdir}/lilo.conf]; then
#	/sbin/lilo
#fi
echo "Remember to type \"lilo\" after upgrade. Or rc-boot if you are using it."

%files
%defattr(644,root,root,755)
%doc README* CHANGES INCOMPAT QuickInst
%attr(600,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/sysconfig/rc-boot/%{name}_functions.sh
%attr(640,root,root) /boot/lilo-pldblack.bmp
%attr(755,root,root) /sbin/lilo
%attr(755,root,root) /sbin/mkrescue
%{_mandir}/man[58]/*
%lang(cs) %{_mandir}/cs/man[58]/*
%lang(de) %{_mandir}/de/man[58]/*
%lang(es) %{_mandir}/es/man[58]/*
%lang(fr) %{_mandir}/fr/man[58]/*
%lang(hu) %{_mandir}/hu/man[58]/*
%lang(it) %{_mandir}/it/man[58]/*
%lang(ja) %{_mandir}/ja/man[58]/*
%lang(ko) %{_mandir}/ko/man[58]/*
%lang(pl) %{_mandir}/pl/man[58]/*
%lang(ru) %{_mandir}/ru/man[58]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: lilo.spec,v $
Revision 1.91  2002/11/02 07:42:04  orzech
- updated to 22.3.4:
  - "mem=size@start" command line was added for 2.4 kernels
  - bugfixes

Revision 1.90  2002/10/24 00:13:09  ankry
- updated man pages; rel. 3

Revision 1.89  2002/09/01 07:59:39  kloczek
- remove keytab-lilo.pl from %files (so now lilo does't depend on perl).

Revision 1.88  2002/08/31 07:41:47  aflinta
- added missing file keytab-lilo.pl
- release 2

Revision 1.87  2002/08/31 07:30:56  orzech
- up to 22.3.3 (evms support added)

Revision 1.86  2002/07/12 22:44:52  qboosh
- added missing /sbin/mkrescue and es manuals
- added nobash patch for mkrescue (I hope it's enough)

Revision 1.85  2002/07/11 18:59:42  orzech
- update to 22.3.2 (bugfix release)

Revision 1.84  2002/06/22 23:06:06  kloczek
- merge translations from TurboLinux.

Revision 1.83  2002/06/17 21:26:53  qboosh
- makefile patch is back (updated)

Revision 1.82  2002/06/17 07:24:43  lukasz
- 22.3.1

Revision 1.81  2002/06/03 13:09:29  djrzulf
- i'm blind,
- back changes,

Revision 1.80  2002/06/02 16:45:57  djrzulf
- added missed boot-*.b files,

Revision 1.79  2002/05/22 20:07:38  blues
- release 2
- rebuild with new lilo_functions.sh script (alias handling)

Revision 1.78  2002/05/20 17:31:28  orzech
- BR: nasm

Revision 1.77  2002/05/20 15:22:28  orzech
- updated to 22.3
- rel.1

Revision 1.76  2002/04/14 16:13:32  jajcus
- Release 3 (STBR)
- include all README* files in %%doc.

Revision 1.75  2002/03/30 22:42:20  qboosh
- removed obsolete cpp-macros patch

Revision 1.74  2002/03/19 21:13:31  kloczek
- merge translations from KSI.

Revision 1.73  2002/03/19 12:22:13  misiek
- include EVMS support; release 2

Revision 1.72  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.71  2002/02/06 15:30:33  kloczek
- adapterized.

Revision 1.70  2002/02/06 15:21:42  lukasz
- fixed section build

Revision 1.69  2002/02/06 11:58:49  lukasz
- 22.2

Revision 1.68  2002/01/18 20:51:18  kloczek
- release 4.

Revision 1.67  2002/01/18 20:11:56  qboosh
- s/pld-devel-en/feedback/

Revision 1.66  2001/11/27 20:44:05  qrczak
- lilo-cpp-macros.patch: #ifdef can't be used inside a macro argument
  (gcc-3.x doesn't like this).
- Release 3.

Revision 1.65  2001/11/27 00:23:48  ankry
- added cs, de, es, hu, it, ja, ko, pl, ru man pages
- release 2

Revision 1.64  2001/11/01 14:49:34  areq
- 22.1, STBR

Revision 1.63  2001/10/29 20:49:42  filon
- license has changed to BSD
- release 4

Revision 1.62  2001/10/20 14:59:52  kloczek
- bump release to 3.

Revision 1.61  2001/10/18 13:03:41  malekith
- rc-boot support added
- rel 2

Revision 1.60  2001/10/15 17:14:18  misiek
- updated to 22.0.2

Revision 1.59  2001/10/11 18:20:09  qboosh
- fixed optflags (s/OPTIMIZE/OPT/)

Revision 1.58  2001/10/06 16:15:15  kloczek
- added translations stolen from CNV.

Revision 1.57  2001/10/06 09:15:52  misiek
- updated to 22.0.1

Revision 1.56  2001/09/28 14:01:52  areq
- fix sample lilo.conf s/boot.b/boot-bmp.b/
- Release 2, STBR

Revision 1.55  2001/09/28 03:21:41  kloczek
- updated to final 22.0.

Revision 1.54  2001/08/04 12:02:37  aflinta
 - added sample lilo.conf with graphical menu enabled

Revision 1.53  2001/07/11 08:30:56  dobrek
-Added support for rc-boot.

Revision 1.52  2001/06/24 18:27:02  aflinta
- preparing for version 22.0

Revision 1.51  2001/05/20 12:01:19  blues
- typo

Revision 1.50  2001/05/08 09:49:04  blues
- added %post

Revision 1.49  2001/05/07 14:54:16  kloczek
- updated to 21.7.5.

Revision 1.48  2001/04/11 10:08:39  misiek
21.7.4

Revision 1.47  2001/03/31 08:49:45  misiek
post removed

Revision 1.46  2001/03/31 08:19:29  blues
- typo in squid
- added %post in lilo - I'm sick of running every time lilo manually...

Revision 1.45  2001/03/30 20:13:30  misiek
use tar.gz instead patches

Revision 1.44  2001/03/29 22:09:26  lukasz
- added missing patch

Revision 1.43  2001/03/29 22:05:15  lukasz
- 21.7.3

Revision 1.42  2001/03/23 17:13:48  qboosh
- added %%config(noreplace) %%verify(not link) on /boot/boot.b symlink
- release 2

Revision 1.41  2001/03/22 07:40:42  misiek
21.7.2

Revision 1.40  2001/02/25 00:41:31  misiek
21.7; stb

Revision 1.39  2001/01/25 20:03:24  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.38  2001/01/17 00:27:46  qboosh
- release 2:
- use OPTIMIZE in Makefile

Revision 1.37  2001/01/02 06:30:23  kloczek
- merge sa5300 nad i20 patches from RH.

Revision 1.36  2001/01/02 06:19:11  kloczek
- updated to 21.6.1.

Revision 1.35  2000/12/23 00:48:45  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.34  2000/11/18 22:08:47  kloczek
- release 2.

Revision 1.33  2000/11/18 14:13:09  misiek
added maintainer patches

Revision 1.32  2000/10/09 04:49:13  kloczek
- added 'Epoch: 1" for allow upgrade from 21.16dev0-1 (please do not pack
  devel version in future or icrease Epoch in case like this).

Revision 1.31  2000/10/08 20:46:08  zagrodzki
- updated to 21.6

Revision 1.30  2000/09/29 15:25:34  zagrodzki
- updated to 21.6dev0 (required to run with kernel on reiserfs partiton)

Revision 1.29  2000/09/28 13:40:13  kloczek
- release 2,
- adapterized,
- make spec %%{debug} ready,
- use rpm new automation.

Revision 1.28  2000/08/27 22:25:28  kloczek
- updated to 21.5.1.

Revision 1.27  2000/08/01 14:57:36  mis
- Provide: "bootloader" added

Revision 1.26  2000/07/25 05:06:13  kloczek
- release 2.

Revision 1.25  2000/07/24 11:35:33  malekith
Added patch to display message (and not to SEGV) when there's no
boot= line in config file.

Revision 1.24  2000/07/19 14:17:45  lukasz
- updated to 21.5

Revision 1.23  2000/07/13 16:05:44  zagrodzki
- back to bin86, but >= 0.15

Revision 1.22  2000/07/13 08:21:23  zagrodzki
- BuildReq: dev86 (not bin86)

Revision 1.21  2000/06/11 20:33:51  kloczek
- updated to 21.4.4,
- spec adapterized.

Revision 1.20  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/05/07 12:43:04  kloczek
- updated to 21.4.3.

Revision 1.18  2000/04/14 05:10:29  kloczek
- updated to 21.4.2.

Revision 1.17  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 23:06:46  zagrodzki
- removed %post from lilo (installing of package should not modify
  current boot sector)

Revision 1.15  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.14  2000/03/21 14:52:07  kloczek
- updated to 21.4.

Revision 1.13  1999/09/04 10:07:12  pius
-  s-i386 i486 i586 i686-\%{ix86}-g

Revision 1.12  1999/07/12 23:06:06  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Mar 14 1999 Micha Kuratczyk <kura@pld.org.pl>
  [0.21-4]
- gzipping instead bzipping

* Wed Mar 12 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.21-3]
- do not compress QuickInst,
- removed man group from man pages.

* Sat Mar 06 1999 Wojtek lusarczyk <wojtek@shadow.eu.org>
- added Group(pl),
- commpressed man pages && documentation (QuickInst script too ..),
- fixed permissions,
- build with optimization,
- cleaning up spec.

* Fri Mar 5 1999 Jacek Smyda <smyda@posexperts.com.pl>
- change permission for lilo.conf

* Sat Dec  7 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.20-4]
- removed doc/* from %doc,
- added lilo(8) and lilo.conf(5) man pages (moved from man-pages
  package).

* Sun Nov  8 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.20-3]
- changed permission of lilo to 750,
- removed doc/* from %doc,

* Mon Jun 15 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
- added pl translation,
- changed permission of lilo to 711,
- moved %changelog at the end of spec,
- build against GNU libc-2.1,
- start at RH spec.
